<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litematrimony',

    /*
     * Package.
     */
    'package'   => 'profile',

    /*
     * Modules.
     */
    'modules'   => ['profile', 'visit', 'shortlist', 'request'],

    'profile'       => [
        'model' => [
            'model' => \Litematrimony\Profile\Models\Profile::class,
            'repository' => \Litematrimony\Profile\Repositories\Eloquent\ProfileRepository::class,
            'table' => 'profiles',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'reporting_to',  'name',  'email',  'password',  'api_token',  'remember_token',  'gender',  'dob',  'designation',  'mobile',  'phone',  'address',  'street',  'district',  'photo',  'ref',  'profile_for',  'candidate_name',  'marital_status',  'age',  'bloodgroup',  'nationality',  'country_id',  'state_id',  'district_id',  'city_id',  'location',  'mothertongue',  'languages_known',  'hobbies',  'religion',  'caste',  'subcaste',  'religious_value',  'height',  'weight',  'body_type',  'complexion',  'physical_status',  'education',  'employment_type',  'occupation',  'income',  'star',  'raasi',  'dosham',  'food_habits',  'smoking',  'drinking',  'family_status',  'family_type',  'family_values',  'father_name',  'mother_name',  'father_job',  'mother_job',  'father_education',  'mother_education',  'brother',  'sister',  'images',  'horoscope',  'description',  'profile_status',  'email_alert',  'phone_setting',  'horoscope_setting',  'photo_setting',  'viwed_profiles',  'profile_visitors',  'subscription',  'activated_at',  'expires_at',  'published',  'plan',  'validity',  'web',  'permissions',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'profile/profile',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litematrimony',
            'package' => 'Profile',
            'module' => 'Profile',
        ],
    ],
    'visit'       => [
        'model' => [
            'model' => \Litematrimony\Profile\Models\Visit::class,
            'repository' => \Litematrimony\Profile\Repositories\Eloquent\VisitRepository::class,
            'table' => 'visits',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'visit_by',  'visit_to',  'visit_type',  'visit_date',  ')',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'profile/visit',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litematrimony',
            'package' => 'Profile',
            'module' => 'Visit',
        ],
    ],
    'shortlist'       => [
        'model' => [
            'model' => \Litematrimony\Profile\Models\Shortlist::class,
            'repository' => \Litematrimony\Profile\Repositories\Eloquent\ShortlistRepository::class,
            'table' => 'shortlists',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'profile_id',  'shortlist_id',  'shortlist_status',  'ignore_status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'profile/shortlist',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litematrimony',
            'package' => 'Profile',
            'module' => 'Shortlist',
        ],
    ],
    'request'       => [
        'model' => [
            'model' => \Litematrimony\Profile\Models\Request::class,
            'repository' => \Litematrimony\Profile\Repositories\Eloquent\RequestRepository::class,
            'table' => 'requests',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'req_by',  'req_to',  'status',  'req_date',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'profile/request',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litematrimony',
            'package' => 'Profile',
            'module' => 'Request',
        ],
    ],
];
