<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRequestsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: requests
         */
        Schema::create('requests', function ($table) {
            $table->increments('id');
            $table->integer('req_by')->nullable();
            $table->integer('req_to')->nullable();
            $table->enum('status', ['Pending','Accepted','Rejected'])->nullable();
            $table->date('req_date')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('requests');
    }
}
