<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVisitsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: visits
         */
        Schema::create('visits', function ($table) {
            $table->increments('id');
            $table->integer('visit_by')->nullable();
            $table->integer('visit_to')->nullable();
            $table->string('visit_type', 255)->nullable();
            $table->timestamp('visit_date')->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('visits');
    }
}
