<?php

namespace Litematrimony\Profile\Seeders;

use DB;
use Illuminate\Database\Seeder;

class VisitTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('visits')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'profile.visit.view',
                'name'      => 'View Visit',
            ],
            [
                'slug'      => 'profile.visit.create',
                'name'      => 'Create Visit',
            ],
            [
                'slug'      => 'profile.visit.edit',
                'name'      => 'Update Visit',
            ],
            [
                'slug'      => 'profile.visit.delete',
                'name'      => 'Delete Visit',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/profile/visit',
                'name'        => 'Visit',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/profile/visit',
                'name'        => 'Visit',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'visit',
                'name'        => 'Visit',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Profile',
                'module'    => 'Visit',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'profile.visit.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
