<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for profile in profile package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  profile module in profile package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Profile',
    'names' => 'Profiles',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Profiles',
        'sub' => 'Profiles'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'gender'              => ['Male','Female'],
            'profile_for'         => ['Myself','Son','Daughter','Sibling','Friend','Relative'],
            'marital_status'      => ['Unmarried','Widow / Widower','Divorced','Separated'],
            'religious_value'     => ['Very Religious','Liberal'],
            'body_type'           => ['Slim','Average','Athletic','Heavy'],
            'complexion'          => ['Very Fair','Fair','Wheatish','Wheatish Brown','Dark'],
            'physical_status'     => ['Normal','Physically Challenged'],
            'employment_type'     => ['Private','Goverment','Business','Defence','Self Employed','Not working'],
            'dosham'              => ['Yes','No','Do not Know',''],
            'food_habits'         => ['Vegetarian','Non Vegetarian','Eggetarian'],
            'smoking'             => ['No','Yes','Occasionally'],
            'drinking'            => ['No','Yes','Occasionally'],
            'family_status'       => ['Middle Class','Upper Middle Class','Rich / Affluent'],
            'family_type'         => ['Joint Family','Nuclear Family','Others'],
            'family_values'       => ['Orthodox','Traditional','Moderate','Liberal'],
            'profile_status'      => ['open','hidden','delete'],
            'email_alert'         => ['Daily','Weekly','Unsubscribe'],
            'phone_setting'       => ['Visible to all paid members','Visible to all paid members whom I contact'],
            'horoscope_setting'   => ['Visible to all paid members','Visible to all paid members whom I contact'],
            'photo_setting'       => ['Visible to all logged in members','Visible to members whom I contact or whom I accept/reply','Password protected'],
            'published'           => ['Yes','No'],
            'plan'                => ['Free','Premium'],
            'validity'            => ['1 Month','3 Months','6 Months','9 Months'],
            'status'              => ['New','Active','Suspended','Locked'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'reporting_to'               => 'Please enter reporting to',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'gender'                     => 'Please select gender',
        'dob'                        => 'Please enter dob',
        'designation'                => 'Please enter designation',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'street'                     => 'Please enter street',
        'district'                   => 'Please enter district',
        'photo'                      => 'Please enter photo',
        'ref'                        => 'Please enter ref',
        'profile_for'                => 'Please select profile for',
        'candidate_name'             => 'Please enter candidate name',
        'marital_status'             => 'Please select marital status',
        'age'                        => 'Please enter age',
        'bloodgroup'                 => 'Please enter bloodgroup',
        'nationality'                => 'Please enter nationality',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'district_id'                => 'Please enter district id',
        'city_id'                    => 'Please enter city id',
        'location'                   => 'Please enter location',
        'mothertongue'               => 'Please enter mothertongue',
        'languages_known'            => 'Please enter languages known',
        'hobbies'                    => 'Please enter hobbies',
        'religion'                   => 'Please enter religion',
        'caste'                      => 'Please enter caste',
        'subcaste'                   => 'Please enter subcaste',
        'religious_value'            => 'Please select religious value',
        'height'                     => 'Please enter height',
        'weight'                     => 'Please enter weight',
        'body_type'                  => 'Please select body type',
        'complexion'                 => 'Please select complexion',
        'physical_status'            => 'Please select physical status',
        'education'                  => 'Please enter education',
        'employment_type'            => 'Please select employment type',
        'occupation'                 => 'Please enter occupation',
        'income'                     => 'Please enter income',
        'star'                       => 'Please enter star',
        'raasi'                      => 'Please enter raasi',
        'dosham'                     => 'Please select dosham',
        'food_habits'                => 'Please select food habits',
        'smoking'                    => 'Please select smoking',
        'drinking'                   => 'Please select drinking',
        'family_status'              => 'Please select family status',
        'family_type'                => 'Please select family type',
        'family_values'              => 'Please select family values',
        'father_name'                => 'Please enter father name',
        'mother_name'                => 'Please enter mother name',
        'father_job'                 => 'Please enter father job',
        'mother_job'                 => 'Please enter mother job',
        'father_education'           => 'Please enter father education',
        'mother_education'           => 'Please enter mother education',
        'brother'                    => 'Please enter brother',
        'sister'                     => 'Please enter sister',
        'images'                     => 'Please enter images',
        'horoscope'                  => 'Please enter horoscope',
        'description'                => 'Please enter description',
        'profile_status'             => 'Please select profile status',
        'email_alert'                => 'Please select email alert',
        'phone_setting'              => 'Please select phone setting',
        'horoscope_setting'          => 'Please select horoscope setting',
        'photo_setting'              => 'Please select photo setting',
        'viwed_profiles'             => 'Please enter viwed profiles',
        'profile_visitors'           => 'Please enter profile visitors',
        'subscription'               => 'Please enter subscription',
        'activated_at'               => 'Please select activated at',
        'expires_at'                 => 'Please select expires at',
        'published'                  => 'Please select published',
        'plan'                       => 'Please select plan',
        'validity'                   => 'Please select validity',
        'web'                        => 'Please enter web',
        'permissions'                => 'Please enter permissions',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'reporting_to'               => 'Reporting to',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'gender'                     => 'Gender',
        'dob'                        => 'Dob',
        'designation'                => 'Designation',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'street'                     => 'Street',
        'district'                   => 'District',
        'photo'                      => 'Photo',
        'ref'                        => 'Ref',
        'profile_for'                => 'Profile for',
        'candidate_name'             => 'Candidate name',
        'marital_status'             => 'Marital status',
        'age'                        => 'Age',
        'bloodgroup'                 => 'Bloodgroup',
        'nationality'                => 'Nationality',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'district_id'                => 'District id',
        'city_id'                    => 'City id',
        'location'                   => 'Location',
        'mothertongue'               => 'Mothertongue',
        'languages_known'            => 'Languages known',
        'hobbies'                    => 'Hobbies',
        'religion'                   => 'Religion',
        'caste'                      => 'Caste',
        'subcaste'                   => 'Subcaste',
        'religious_value'            => 'Religious value',
        'height'                     => 'Height',
        'weight'                     => 'Weight',
        'body_type'                  => 'Body type',
        'complexion'                 => 'Complexion',
        'physical_status'            => 'Physical status',
        'education'                  => 'Education',
        'employment_type'            => 'Employment type',
        'occupation'                 => 'Occupation',
        'income'                     => 'Income',
        'star'                       => 'Star',
        'raasi'                      => 'Raasi',
        'dosham'                     => 'Dosham',
        'food_habits'                => 'Food habits',
        'smoking'                    => 'Smoking',
        'drinking'                   => 'Drinking',
        'family_status'              => 'Family status',
        'family_type'                => 'Family type',
        'family_values'              => 'Family values',
        'father_name'                => 'Father name',
        'mother_name'                => 'Mother name',
        'father_job'                 => 'Father job',
        'mother_job'                 => 'Mother job',
        'father_education'           => 'Father education',
        'mother_education'           => 'Mother education',
        'brother'                    => 'Brother',
        'sister'                     => 'Sister',
        'images'                     => 'Images',
        'horoscope'                  => 'Horoscope',
        'description'                => 'Description',
        'profile_status'             => 'Profile status',
        'email_alert'                => 'Email alert',
        'phone_setting'              => 'Phone setting',
        'horoscope_setting'          => 'Horoscope setting',
        'photo_setting'              => 'Photo setting',
        'viwed_profiles'             => 'Viwed profiles',
        'profile_visitors'           => 'Profile visitors',
        'subscription'               => 'Subscription',
        'activated_at'               => 'Activated at',
        'expires_at'                 => 'Expires at',
        'published'                  => 'Published',
        'plan'                       => 'Plan',
        'validity'                   => 'Validity',
        'web'                        => 'Web',
        'permissions'                => 'Permissions',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],
];
