<?php

namespace Litematrimony\Profile\Forms;

use Litepie\Form\FormInterpreter;

class Profile extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('profile/profile/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('profile/profile/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('profile/profile'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('profile/profile'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('profile/profile'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('profile/profile'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('profile::profile.label.name'),
                "placeholder" => trans('profile::profile.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('profile::profile.label.created_at'),
            'name' => trans('profile::profile.label.name'),
            'status' => trans('profile::profile.label.status'),
        ];
        self::$groups = [
            'main' => trans('profile::profile.groups.main'),
            'details' => trans('profile::profile.groups.details'),
            'images' => trans('profile::profile.groups.images'),
            'settings' => trans('profile::profile.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('profile::profile.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('profile::profile.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('profile::profile.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('profile::profile.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'reporting_to' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::profile.label.reporting_to'),
                "placeholder" => trans('profile::profile.placeholder.reporting_to'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.name'),
                "placeholder" => trans('profile::profile.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.email'),
                "placeholder" => trans('profile::profile.placeholder.email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'password' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.password'),
                "placeholder" => trans('profile::profile.placeholder.password'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'api_token' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.api_token'),
                "placeholder" => trans('profile::profile.placeholder.api_token'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'remember_token' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.remember_token'),
                "placeholder" => trans('profile::profile.placeholder.remember_token'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'gender' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.gender'),
                "placeholder" => trans('profile::profile.placeholder.gender'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'dob' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.dob'),
                "placeholder" => trans('profile::profile.placeholder.dob'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'designation' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.designation'),
                "placeholder" => trans('profile::profile.placeholder.designation'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mobile' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.mobile'),
                "placeholder" => trans('profile::profile.placeholder.mobile'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.phone'),
                "placeholder" => trans('profile::profile.placeholder.phone'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'address' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.address'),
                "placeholder" => trans('profile::profile.placeholder.address'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'street' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.street'),
                "placeholder" => trans('profile::profile.placeholder.street'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'district' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.district'),
                "placeholder" => trans('profile::profile.placeholder.district'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'photo' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.photo'),
                "placeholder" => trans('profile::profile.placeholder.photo'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'ref' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.ref'),
                "placeholder" => trans('profile::profile.placeholder.ref'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'profile_for' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.profile_for'),
                "placeholder" => trans('profile::profile.placeholder.profile_for'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'candidate_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.candidate_name'),
                "placeholder" => trans('profile::profile.placeholder.candidate_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'marital_status' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.marital_status'),
                "placeholder" => trans('profile::profile.placeholder.marital_status'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'age' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::profile.label.age'),
                "placeholder" => trans('profile::profile.placeholder.age'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bloodgroup' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.bloodgroup'),
                "placeholder" => trans('profile::profile.placeholder.bloodgroup'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'nationality' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.nationality'),
                "placeholder" => trans('profile::profile.placeholder.nationality'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::profile.label.country_id'),
                "placeholder" => trans('profile::profile.placeholder.country_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::profile.label.state_id'),
                "placeholder" => trans('profile::profile.placeholder.state_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'district_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::profile.label.district_id'),
                "placeholder" => trans('profile::profile.placeholder.district_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::profile.label.city_id'),
                "placeholder" => trans('profile::profile.placeholder.city_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'location' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.location'),
                "placeholder" => trans('profile::profile.placeholder.location'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mothertongue' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.mothertongue'),
                "placeholder" => trans('profile::profile.placeholder.mothertongue'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'languages_known' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.languages_known'),
                "placeholder" => trans('profile::profile.placeholder.languages_known'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'hobbies' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.hobbies'),
                "placeholder" => trans('profile::profile.placeholder.hobbies'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'religion' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.religion'),
                "placeholder" => trans('profile::profile.placeholder.religion'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'caste' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.caste'),
                "placeholder" => trans('profile::profile.placeholder.caste'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subcaste' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.subcaste'),
                "placeholder" => trans('profile::profile.placeholder.subcaste'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'religious_value' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.religious_value'),
                "placeholder" => trans('profile::profile.placeholder.religious_value'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'height' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::profile.label.height'),
                "placeholder" => trans('profile::profile.placeholder.height'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'weight' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.weight'),
                "placeholder" => trans('profile::profile.placeholder.weight'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'body_type' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.body_type'),
                "placeholder" => trans('profile::profile.placeholder.body_type'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'complexion' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.complexion'),
                "placeholder" => trans('profile::profile.placeholder.complexion'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'physical_status' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.physical_status'),
                "placeholder" => trans('profile::profile.placeholder.physical_status'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'education' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.education'),
                "placeholder" => trans('profile::profile.placeholder.education'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'employment_type' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.employment_type'),
                "placeholder" => trans('profile::profile.placeholder.employment_type'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'occupation' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.occupation'),
                "placeholder" => trans('profile::profile.placeholder.occupation'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'income' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.income'),
                "placeholder" => trans('profile::profile.placeholder.income'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'star' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.star'),
                "placeholder" => trans('profile::profile.placeholder.star'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'raasi' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.raasi'),
                "placeholder" => trans('profile::profile.placeholder.raasi'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'dosham' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.dosham'),
                "placeholder" => trans('profile::profile.placeholder.dosham'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'food_habits' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.food_habits'),
                "placeholder" => trans('profile::profile.placeholder.food_habits'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'smoking' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.smoking'),
                "placeholder" => trans('profile::profile.placeholder.smoking'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'drinking' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.drinking'),
                "placeholder" => trans('profile::profile.placeholder.drinking'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'family_status' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.family_status'),
                "placeholder" => trans('profile::profile.placeholder.family_status'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'family_type' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.family_type'),
                "placeholder" => trans('profile::profile.placeholder.family_type'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'family_values' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.family_values'),
                "placeholder" => trans('profile::profile.placeholder.family_values'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'father_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.father_name'),
                "placeholder" => trans('profile::profile.placeholder.father_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mother_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.mother_name'),
                "placeholder" => trans('profile::profile.placeholder.mother_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'father_job' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.father_job'),
                "placeholder" => trans('profile::profile.placeholder.father_job'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mother_job' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.mother_job'),
                "placeholder" => trans('profile::profile.placeholder.mother_job'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'father_education' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.father_education'),
                "placeholder" => trans('profile::profile.placeholder.father_education'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mother_education' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.mother_education'),
                "placeholder" => trans('profile::profile.placeholder.mother_education'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'brother' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.brother'),
                "placeholder" => trans('profile::profile.placeholder.brother'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'sister' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.sister'),
                "placeholder" => trans('profile::profile.placeholder.sister'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.images'),
                "placeholder" => trans('profile::profile.placeholder.images'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'horoscope' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.horoscope'),
                "placeholder" => trans('profile::profile.placeholder.horoscope'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.description'),
                "placeholder" => trans('profile::profile.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'profile_status' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.profile_status'),
                "placeholder" => trans('profile::profile.placeholder.profile_status'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'email_alert' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.email_alert'),
                "placeholder" => trans('profile::profile.placeholder.email_alert'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone_setting' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.phone_setting'),
                "placeholder" => trans('profile::profile.placeholder.phone_setting'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'horoscope_setting' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.horoscope_setting'),
                "placeholder" => trans('profile::profile.placeholder.horoscope_setting'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'photo_setting' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.photo_setting'),
                "placeholder" => trans('profile::profile.placeholder.photo_setting'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'viwed_profiles' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::profile.label.viwed_profiles'),
                "placeholder" => trans('profile::profile.placeholder.viwed_profiles'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'profile_visitors' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::profile.label.profile_visitors'),
                "placeholder" => trans('profile::profile.placeholder.profile_visitors'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subscription' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.subscription'),
                "placeholder" => trans('profile::profile.placeholder.subscription'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'activated_at' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('profile::profile.label.activated_at'),
                "placeholder" => trans('profile::profile.placeholder.activated_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'expires_at' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('profile::profile.label.expires_at'),
                "placeholder" => trans('profile::profile.placeholder.expires_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'published' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.published'),
                "placeholder" => trans('profile::profile.placeholder.published'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'plan' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.plan'),
                "placeholder" => trans('profile::profile.placeholder.plan'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'validity' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::profile.label.validity'),
                "placeholder" => trans('profile::profile.placeholder.validity'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'web' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::profile.label.web'),
                "placeholder" => trans('profile::profile.placeholder.web'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'permissions' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('profile::profile.label.permissions'),
                "placeholder" => trans('profile::profile.placeholder.permissions'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
