<?php

namespace Litematrimony\Profile\Forms;

use Litepie\Form\FormInterpreter;

class Shortlist extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('profile/shortlist/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('profile/shortlist/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('profile/shortlist'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('profile/shortlist'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('profile/shortlist'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('profile/shortlist'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('profile::profile.label.name'),
                "placeholder" => trans('profile::profile.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('profile::profile.label.created_at'),
            'name' => trans('profile::profile.label.name'),
            'status' => trans('profile::profile.label.status'),
        ];
        self::$groups = [
            'main' => trans('profile::profile.groups.main'),
            'details' => trans('profile::profile.groups.details'),
            'images' => trans('profile::profile.groups.images'),
            'settings' => trans('profile::profile.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('profile::profile.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('profile::profile.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('profile::profile.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('profile::profile.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'profile_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::shortlist.label.profile_id'),
                "placeholder" => trans('profile::shortlist.placeholder.profile_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'shortlist_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::shortlist.label.shortlist_id'),
                "placeholder" => trans('profile::shortlist.placeholder.shortlist_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'shortlist_status' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::shortlist.label.shortlist_status'),
                "placeholder" => trans('profile::shortlist.placeholder.shortlist_status'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'ignore_status' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('profile::shortlist.label.ignore_status'),
                "placeholder" => trans('profile::shortlist.placeholder.ignore_status'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
