<?php

namespace Litematrimony\Profile\Forms;

use Litepie\Form\FormInterpreter;

class Visit extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('profile/visit/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('profile/visit/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('profile/visit'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('profile/visit'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('profile/visit'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('profile/visit'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('profile::profile.label.name'),
                "placeholder" => trans('profile::profile.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('profile::profile.label.created_at'),
            'name' => trans('profile::profile.label.name'),
            'status' => trans('profile::profile.label.status'),
        ];
        self::$groups = [
            'main' => trans('profile::profile.groups.main'),
            'details' => trans('profile::profile.groups.details'),
            'images' => trans('profile::profile.groups.images'),
            'settings' => trans('profile::profile.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('profile::profile.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('profile::profile.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('profile::profile.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('profile::profile.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'visit_by' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::visit.label.visit_by'),
                "placeholder" => trans('profile::visit.placeholder.visit_by'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'visit_to' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('profile::visit.label.visit_to'),
                "placeholder" => trans('profile::visit.placeholder.visit_to'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'visit_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('profile::visit.label.visit_type'),
                "placeholder" => trans('profile::visit.placeholder.visit_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'visit_date' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => trans('profile::visit.label.visit_date'),
                "placeholder" => trans('profile::visit.placeholder.visit_date'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => trans('profile::visit.label.)'),
                "placeholder" => trans('profile::visit.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
