<?php

namespace Litematrimony\Profile\Repositories\Eloquent;

use Litematrimony\Profile\Interfaces\RequestRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litematrimony\Profile\Repositories\Eloquent\Presenters\RequestItemPresenter;


class RequestRepository extends BaseRepository implements RequestRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litematrimony.profile.request.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litematrimony.profile.request.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return RequestItemPresenter::class;
    }
}
