<?php

namespace Litematrimony\Profile\Repositories\Eloquent;

use Litematrimony\Profile\Interfaces\ShortlistRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litematrimony\Profile\Repositories\Eloquent\Presenters\ShortlistItemPresenter;


class ShortlistRepository extends BaseRepository implements ShortlistRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litematrimony.profile.shortlist.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litematrimony.profile.shortlist.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ShortlistItemPresenter::class;
    }
}
