<?php

namespace Litematrimony\Profile\Repositories\Eloquent;

use Litematrimony\Profile\Interfaces\VisitRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litematrimony\Profile\Repositories\Eloquent\Presenters\VisitItemPresenter;


class VisitRepository extends BaseRepository implements VisitRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litematrimony.profile.visit.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litematrimony.profile.visit.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return VisitItemPresenter::class;
    }
}
